2017-12-12 03:47 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000237Cheat Enginepublic2013-04-08 21:56
Reportermgr_inz_Player 
Assigned ToDark Byte 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Summary0000237: [LUA] memscan_returnOnlyOneResult doesn't work as it worked before
DescriptionThis no longer works, my older script. Function below always returns NIL:
#########################################################
function ScanForIt(scanThis)
  local newscanObj = createMemScan()
  
  memscan_returnOnlyOneResult(newscanObj,true)
  memscan_firstScan(newscanObj, soExactValue, vtByteArray, rtTruncated,
                    scanThis,nil,"00000000","7fffffff","-W+X-C",fsmNotAligned,
                    "", true, false, false, false);
  memscan_waitTillDone(newscanObj)
  
  local RESULT = memscan_getOnlyResult(newscanObj)
  object_destroy(newscanObj)
  return RESULT
end
#########################################################



Only new version works:
#########################################################
function ScanForIt(scanThis)
  local newscanObj = createMemScan()
  
  newscanObj.setOnlyOneResult(true)
  newscanObj.firstScan(soExactValue, vtByteArray, rtTruncated,
                    scanThis,nil,"00000000","7fffffff","-W+X-C",fsmNotAligned,
                    "", true, false, false, false);
  newscanObj.waitTillDone()
  
  local RESULT = newscanObj.getOnlyResult()
  object_destroy(newscanObj)
  return RESULT
end
#########################################################


memscan_returnOnlyOneResult doesn't work as should.


I think it should be (LuaMemscan.pas):

Lua_register(LuaVM, 'memscan_returnOnlyOneResult', memscan_setreturnOnlyOneResult);

instead of memscan_ g etreturnOnlyOneResult




TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000504

Dark Byte (developer)

you're right. It should be the setter there. Fixed in svn
+Notes

-Issue History
Date Modified Username Field Change
2013-04-07 19:42 mgr_inz_Player New Issue
2013-04-08 21:56 Dark Byte Note Added: 0000504
2013-04-08 21:56 Dark Byte Status new => resolved
2013-04-08 21:56 Dark Byte Resolution open => fixed
2013-04-08 21:56 Dark Byte Assigned To => Dark Byte
+Issue History